import { APIGatewayProxyHandler } from 'aws-lambda';
import { RouterInterface } from '../Router/RouterInterface';
import { OracleDbInterface } from '../Oracledb/OracleDbInterface';
import { SecretsManagerInterface } from '../SecretsManager';
export declare function HandlerFactory({ oracleDb, secretsManager, router, closeOracleDbConnectionPoolOnExit, createOracleDbConnectionPool, }: HandlerFactoryParameters): APIGatewayProxyHandler;
export interface HandlerFactoryParameters {
    router: RouterInterface;
    oracleDb: OracleDbInterface;
    secretsManager: SecretsManagerInterface;
    /** True if you'll connect to oracleDb. Default to true */
    createOracleDbConnectionPool?: boolean;
    /**
     * If true, closes the pool at the end of the lambda invocation.
     * Closing the pool at the end of the lambda invocation prevents
     * connection reuse and is recommended if your lambda is not called
     * on a frequent basis. Deafult to false.
     */
    closeOracleDbConnectionPoolOnExit?: boolean;
}
export declare function getEnvConfig(name: string): string | undefined;
export declare function setExecutionContext(context: ExecutionContext): void;
export declare function getExecutionContext(): ExecutionContext;
interface ExecutionContext {
    requestId?: string;
    path?: string;
    method?: string;
    identity?: string;
    sourceIp?: string;
}
export {};
