export declare function getMockEvent({ path, httpMethod, queryStringParameters, multiValueQueryStringParameters, pathParameters, body, headers, multiValueHeaders, }: {
    path: string;
    httpMethod: 'GET' | 'POST' | 'PUT' | 'DELETE';
    queryStringParameters: Record<string, string> | null;
    multiValueQueryStringParameters: Record<string, string[]> | null;
    pathParameters: Record<string, string> | null;
    body: string | null;
    headers: Record<string, string> | null;
    multiValueHeaders: Record<string, string[]> | null;
}): {
    resource: string;
    path: string;
    httpMethod: import("../Controller").Method;
    headers: {
        accept: string;
        'accept-encoding': string;
        'cloudfront-forwarded-proto': string;
        'cloudfront-is-desktop-viewer': string;
        'cloudfront-is-mobile-viewer': string;
        'cloudfront-is-smarttv-viewer': string;
        'cloudfront-is-tablet-viewer': string;
        'cloudfront-viewer-country': string;
        host: string;
        'postman-token': string;
        'user-agent': string;
        via: string;
        'x-amz-cf-id': string;
        'x-amzn-trace-id': string;
        'x-forwarded-for': string;
        'x-forwarded-port': string;
        'x-forwarded-proto': string;
    };
    multiValueHeaders: {
        Accept: string[];
        'Accept-Encoding': string[];
        'CloudFront-Forwarded-Proto': string[];
        'CloudFront-Is-Desktop-Viewer': string[];
        'CloudFront-Is-Mobile-Viewer': string[];
        'CloudFront-Is-SmartTV-Viewer': string[];
        'CloudFront-Is-Tablet-Viewer': string[];
        'CloudFront-Viewer-Country': string[];
        Host: string[];
        'Postman-Token': string[];
        'User-Agent': string[];
        Via: string[];
        'X-Amz-Cf-Id': string[];
        'X-Amzn-Trace-Id': string[];
        'x-api-key': string[];
        'X-Forwarded-For': string[];
        'X-Forwarded-Port': string[];
        'X-Forwarded-Proto': string[];
    };
    queryStringParameters: Record<string, string> | null;
    multiValueQueryStringParameters: Record<string, string[]> | null;
    pathParameters: Record<string, string> | null;
    stageVariables: null;
    requestContext: {
        authorizer: {};
        resourceId: string;
        resourcePath: string;
        httpMethod: import("../Controller").Method;
        extendedRequestId: string;
        requestTime: string;
        path: string;
        accountId: string;
        protocol: string;
        stage: string;
        domainPrefix: string;
        requestTimeEpoch: number;
        requestId: string;
        identity: {
            cognitoIdentityPoolId: null;
            cognitoIdentityId: null;
            apiKey: string;
            principalOrgId: null;
            cognitoAuthenticationType: null;
            userArn: null;
            apiKeyId: string;
            userAgent: string;
            accountId: null;
            caller: null;
            sourceIp: string;
            accessKey: null;
            cognitoAuthenticationProvider: null;
            user: null;
        };
        domainName: string;
        apiId: string;
    };
    body: string | null;
    isBase64Encoded: boolean;
};
export declare function getMockContext({}: {}): {
    callbackWaitsForEmptyEventLoop: boolean;
    succeed: () => void;
    fail: () => void;
    done: () => void;
    functionVersion: string;
    functionName: string;
    memoryLimitInMB: string;
    logGroupName: string;
    logStreamName: string;
    clientContext: undefined;
    identity: undefined;
    invokedFunctionArn: string;
    awsRequestId: string;
    getRemainingTimeInMillis: () => number;
};
